"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Math) {
  common_vendor.unref(Search)();
}
const Search = () => "../../components/search.js";
const _sfc_main = {
  __name: "my",
  setup(__props) {
    const listData = common_vendor.ref([
      {
        type: 1,
        title: "墨轩湖 - 综合楼",
        orderTime: "2023-03-31  15:15:15",
        departureTime: "2023-03-31  15:15:15",
        busNumber: "0269",
        capacity: "53人",
        message: "车辆0290变更为6001，容量53变更为63车辆0290变更为6001，容量53变更为63车辆0290变更为6001，容量53变更为63"
      },
      {
        type: 2,
        title: "墨轩湖 - 综合楼",
        orderTime: "2023-03-31  15:15:15",
        departureTime: "2023-03-31  15:15:15",
        busNumber: "0269",
        capacity: "53人",
        message: "车辆0290变更为6001，容量53变更为63"
      },
      {
        type: 3,
        title: "墨轩湖 - 综合楼",
        orderTime: "2023-03-31  15:15:15",
        departureTime: "2023-03-31  15:15:15",
        busNumber: "0269",
        capacity: "53人",
        message: "车辆0290变更为6001，容量53变更为63"
      },
      {
        type: 4,
        // title: '墨轩湖 - 综合楼',
        orderTime: "2023-03-31  15:15:15"
        // departureTime: '2023-03-31  15:15:15',
        // busNumber: '0269',
        // capacity: '53人',
        // message: '车辆0290变更为6001，容量53变更为63'
      }
    ]);
    const getConveyData = (Obj) => {
      console.log(Obj);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(getConveyData),
        b: common_vendor.f(listData.value, (item, index, i0) => {
          return common_vendor.e({
            a: item.title
          }, item.title ? {
            b: common_vendor.t(item.title)
          } : {}, {
            c: item.type === 1
          }, item.type === 1 ? {} : {}, {
            d: item.type === 2
          }, item.type === 2 ? {} : {}, {
            e: item.type === 3
          }, item.type === 3 ? {} : {}, {
            f: item.type === 4
          }, item.type === 4 ? {} : {}, {
            g: common_vendor.n(item.type === 1 ? "mr-30" : ""),
            h: common_vendor.t(item.orderTime),
            i: item.departureTime
          }, item.departureTime ? {
            j: common_vendor.t(item.departureTime)
          } : {}, {
            k: item.busNumber
          }, item.busNumber ? {
            l: common_vendor.t(item.busNumber)
          } : {}, {
            m: item.capacity
          }, item.capacity ? {
            n: common_vendor.t(item.capacity)
          } : {}, {
            o: item.message
          }, item.message ? {
            p: common_vendor.t(item.message)
          } : {}, {
            q: item.type === 1
          }, item.type === 1 ? {} : {}, {
            r: item.type === 1
          }, item.type === 1 ? {} : {}, {
            s: item.type === 4
          }, item.type === 4 ? {} : {}, {
            t: index
          });
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2f1ef635"], ["__file", "E:/workSpace/schoolBus-reservation/pages/my/my.vue"]]);
wx.createPage(MiniProgramPage);
